summaryrefslogtreecommitdiffstats
path: root/initscript
diff options
context:
space:
mode:
authorLennart Poettering <lennart@poettering.net>2005-09-07 21:16:20 +0000
committerLennart Poettering <lennart@poettering.net>2005-09-07 21:16:20 +0000
commit09b102d429c483d92d269622e2ce748e69abf5f9 (patch)
treec8336f623bf86605a8a181d76bc35b7d432e9fe3 /initscript
parent1faa5fc6cebd81807120c3d419e9c734172f196a (diff)
add suse init scripts
git-svn-id: file:///home/lennart/svn/public/avahi/trunk@527 941a03a8-eaeb-0310-b9a0-b1bbd8fe43fe
Diffstat (limited to 'initscript')
-rw-r--r--initscript/Makefile.am8
-rw-r--r--initscript/suse/Makefile.am38
-rw-r--r--initscript/suse/avahi-daemon.in (renamed from initscript/suse/avahi-daemon)10
-rw-r--r--initscript/suse/avahi-dnsconfd.in47
4 files changed, 88 insertions, 15 deletions
diff --git a/initscript/Makefile.am b/initscript/Makefile.am
index 16bbbf0..12ed429 100644
--- a/initscript/Makefile.am
+++ b/initscript/Makefile.am
@@ -31,8 +31,6 @@ if TARGET_GENTOO
SUBDIRS += gentoo
endif
-# We disable shipping of these init scripts for now as they are out of date
-
-#if TARGET_SUSE
-#SUBDIRS += suse
-#endif
+if TARGET_SUSE
+SUBDIRS += suse
+endif
diff --git a/initscript/suse/Makefile.am b/initscript/suse/Makefile.am
index 3aa8431..e18f0f6 100644
--- a/initscript/suse/Makefile.am
+++ b/initscript/suse/Makefile.am
@@ -1,6 +1,34 @@
-if ENABLE_DBUS
-dbusinitddir = $(sysconfdir)/init.d
-dbusinitd_SCRIPTS = avahi-daemon
+# $Id$
-EXTRA_DIST = $(dbusinitd_SCRIPTS)
-endif
+# This file is part of avahi.
+#
+# avahi is free software; you can redistribute it and/or modify it
+# under the terms of the GNU Lesser General Public License as
+# published by the Free Software Foundation; either version 2 of the
+# License, or (at your option) any later version.
+#
+# avahi is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
+# or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public
+# License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public
+# License along with avahi; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
+# USA.
+
+initddir = $(sysconfdir)/init.d
+
+EXTRA_DIST = avahi-daemon.in avahi-dnsconfd.in
+
+initd_SCRIPTS = avahi-daemon avahi-dnsconfd
+
+CLEANFILES = avahi-daemon avahi-dnsconfd
+
+avahi-daemon: avahi-daemon.in
+ sed -e 's,@sbindir\@,$(sbindir),g' $< > $@
+ chmod +x $@
+
+avahi-dnsconfd: avahi-dnsconfd.in
+ sed -e 's,@sbindir\@,$(sbindir),g' $< > $@
+ chmod +x $@
diff --git a/initscript/suse/avahi-daemon b/initscript/suse/avahi-daemon.in
index 59bd0c9..1625464 100644
--- a/initscript/suse/avahi-daemon
+++ b/initscript/suse/avahi-daemon.in
@@ -7,7 +7,7 @@
# Description: Avahi, a ZeroConf daemon for mDNS and service registration
### END INIT INFO
-AVAHI_BIN=/usr/bin/avahi-daemon
+AVAHI_BIN=@sbindir@/avahi-daemon
test -x $AVAHI_BIN || exit 5
. /etc/rc.status
@@ -16,12 +16,12 @@ rc_reset
case "$1" in
start)
echo -n "Starting Avahi daemon"
- startproc $AVAHI_BIN -D
+ /sbin/startproc $AVAHI_BIN -D
rc_status -v
;;
stop)
echo -n "Shutting down Avahi daemon"
- killproc -TERM $AVAHI_BIN
+ $AVAHI_BIN -k || /bin/true
rc_status -v
;;
restart)
@@ -31,12 +31,12 @@ case "$1" in
;;
force-reload|reload)
echo -n "Reloading Avahi daemon"
- killproc -HUP $AVAHI_BIN
+ $AVAHI_BIN -r
rc_status -v
;;
status)
echo -n "Checking for Avahi daemon: "
- checkproc $AVAHI_BIN
+ $AVAHI_BIN -c
rc_status -v
;;
*)
diff --git a/initscript/suse/avahi-dnsconfd.in b/initscript/suse/avahi-dnsconfd.in
new file mode 100644
index 0000000..b9de808
--- /dev/null
+++ b/initscript/suse/avahi-dnsconfd.in
@@ -0,0 +1,47 @@
+#! /bin/sh
+### BEGIN INIT INFO
+# Provides: avahi-dnsconfd
+# Required-Start: avahi
+# Default-Start: 3 5
+# Default-Stop:
+# Description: Avahi, a ZeroConf daemon for mDNS and service registration
+### END INIT INFO
+
+AVAHI_BIN=@sbindir@/avahi-dnsconfd
+test -x $AVAHI_BIN || exit 5
+
+. /etc/rc.status
+rc_reset
+
+case "$1" in
+ start)
+ echo -n "Starting Avahi DNS Configuration daemon"
+ /sbin/startproc $AVAHI_BIN -D
+ rc_status -v
+ ;;
+ stop)
+ echo -n "Shutting down Avahi DNS Configuration daemon"
+ $AVAHI_BIN -k || /bin/true
+ rc_status -v
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ rc_status
+ ;;
+ force-reload|reload)
+ echo -n "Reloading Avahi DNS Configuration daemon"
+ $AVAHI_BIN -r
+ rc_status -v
+ ;;
+ status)
+ echo -n "Checking for Avahi DNS Configuration daemon: "
+ $AVAHI_BIN -c
+ rc_status -v
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|status|restart|force-reload|reload}"
+ exit 1
+ ;;
+esac
+